/* Architecture: sparc64 */

/* Native machine sizes */
#define NATIVE_DOUBLE 8
#define NATIVE_FLOAT  4
#define NATIVE_LONG   8
#define NATIVE_INT    4
#define NATIVE_SHORT  2
#define NATIVE_CHAR   1

/* Native machine byte orders */
#define DOUBLE_ORDER 1
#define FLOAT_ORDER  1
#define LONG_ORDER   1
#define INT_ORDER    2
#define SHORT_ORDER  1


/* Translation matrices from big endian to native */

/* Double format: */
static int dbl_cnvrt[] = {0, 1, 2, 3, 4, 5, 6, 7};

/* Float format : */
static int flt_cnvrt[] = {0, 1, 2, 3};

/* Long format  : */
static int lng_cnvrt[] = {4, 5, 6, 7, 0, 0, 0, 0};

/* Int format  : */
static int int_cnvrt[] = {0, 1, 2, 3};

/* Short format : */
static int shrt_cnvrt[] = {0, 1};

